|##########|
|#MAGIC   #|BOPDMODD
|#PROJECT #|""
|#PATHS   #|"EGSProject"
|#FLAGS   #|xx---x--x---xxx-----------------
|#USERSW  #|--------------------------------
|#USERMASK#|--------------------------------
|#SWITCHES#|x--x-x----------
|##########|
$$ConstChk:=FALSE
(* $V- $R- $S- $N- *)
IMPLEMENTATION MODULE EGSGadBox;

FROM Exec       IMPORT OpenLibrary,CloseLibrary;
FROM Exceptions IMPORT CouldNotOpenLibrary;
                IMPORT EGSIntui AS I;

PROCEDURE CreateHorizBoxL(con : GadContext;sons : LIST OF GadBoxPtr):GadBoxPtr;
VAR box : GadBoxPtr;
    i   : INTEGER;
BEGIN
  box:=CreateHorizBox(con);
  FOR i:=0 TO sons'MAX DO
    AddLastSon(box,sons[i]);
  END;
END CreateHorizBoxL;

PROCEDURE CreateVertiBoxL(con : GadContext;sons : LIST OF GadBoxPtr):GadBoxPtr;
VAR box : GadBoxPtr;
    i   : INTEGER;
BEGIN
  box:=CreateVertiBox(con);
  FOR i:=0 TO sons'MAX DO
    AddLastSon(box,sons[i]);
  END;
END CreateVertiBoxL;

PROCEDURE CreateHorizTableL(con : GadContext;sons : LIST OF GadBoxPtr):GadBoxPtr;
VAR box : GadBoxPtr;
    i   : INTEGER;
BEGIN
  box:=CreateHorizTable(con);
  FOR i:=0 TO sons'MAX DO
    AddLastSon(box,sons[i]);
  END;
END CreateHorizTableL;

PROCEDURE CreateVertiTableL(con : GadContext;sons : LIST OF GadBoxPtr):GadBoxPtr;
VAR box : GadBoxPtr;
    i   : INTEGER;
BEGIN
  box:=CreateVertiTable(con);
  FOR i:=0 TO sons'MAX DO
    AddLastSon(box,sons[i]);
  END;
END CreateVertiTableL;

PROCEDURE GetStringData(    gad IN A0 : I.StringGadPtr;
                        VAR str IN A1 : STRING);
VAR i IN D2 : INTEGER;
    s IN A2,
    d IN A3 : POINTER TO CHAR;
BEGIN
  I.LockIntuition;
  i:=-1;
  s:=gad.buffer;
  d:=str.data[0]'PTR;
  REPEAT
    INC(i);d+^:=s+^
  UNTIL =;
  str.len:=i;
  I.UnlockIntuition;
END GetStringData;


BEGIN
  EGBBase:=OpenLibrary("egsgadbox.library",0);
  ASSERT(EGBBase#NIL,CouldNotOpenLibrary);
CLOSE
  IF EGBBase#NIL THEN
    CloseLibrary(EGBBase);EGBBase:=NIL
  END;
END EGSGadBox.


