|##########|
|#MAGIC   #|BOPDMOFC
|#PROJECT #|""
|#PATHS   #|"EGSProject"
|#FLAGS   #|xx---x--x----xx-----------------
|#USERSW  #|--------------------------------
|#USERMASK#|--------------------------------
|#SWITCHES#|x--x-x----------
|##########|
$$ConstChk:=FALSE
IMPLEMENTATION MODULE EGSIntui;

FROM Exec       IMPORT OpenLibrary,CloseLibrary;
FROM Exceptions IMPORT CouldNotOpenLibrary;

PROCEDURE CreateMenuL(items : LIST OF MenuItemPtr):MenuPtr;
VAR i : INTEGER;
    m : MenuPtr;
BEGIN
  m:=CreateMenu();
  FOR i:=0 TO items'MAX DO
    AddToMenu(m,items[i]);
  END;
  RETURN m;
END CreateMenuL;

PROCEDURE CreateItemL(    font   : EFontPtr;
                      REF name   : STRING;
                          id     : LONGINT;
                          key    : CHAR;
                          toggle : BOOLEAN;
                          sub    : LIST OF MenuItemPtr):MenuItemPtr;
VAR i  : INTEGER;
    it : MenuItemPtr;
BEGIN
  it:=CreateItem(font,name.data'PTR,id,key,toggle);
  FOR i:=0 TO sub'MAX DO
    IF sub[i]=NIL THEN
      AddToItem(it,CreateItem(font,NIL,0,&0,FALSE));
    ELSE
      AddToItem(it,sub[i]);
    END;
  END;
  RETURN it;
END CreateItemL;

BEGIN
  EGSIntuiBase:=OpenLibrary("egsintui.library",4);
  ASSERT(EGSIntuiBase#NIL,CouldNotOpenLibrary);
CLOSE
  CloseLibrary(EGSIntuiBase);
END EGSIntui.

