


    TAPGIF 1.0                                                21.09.94



    ABOUT

    TAPGIF is a program that converts an ILBM picture to GIF format
    without changing the picture's palette information. This is for
    direct conversions, and does not handle HAM, EHB, or the other
    variations from the norm correctly.

    I use it specifically for converting 640x480/8 AGA pics with
    Windows identity palettes to GIF format without disturbing the
    palette. There is a program called AM2GIF that will do HAM and so
    on, but does not support AGA. And unfortunately ImageMaster and
    PPM, which can both write GIFs, also both insist on fooling with
    the palette in the process.

    If the IFF picture contains an ANNO chunk, then the GIF file will
    be written with a GIF89a signature and a comment extension block
    will be added containing the annotation. This can be prevented by
    specifying an empty NOTE string on the command line.

    TAPGIF is written by John Bickers using SAS C 6.51.


    REQUIREMENTS

    TAPGIF requires a machine with KS 2.0, and also requires the IFF
    library. This library can be found on the Aminet sites.


    PARAMETERS

    The command template is...

    FROM/A,TO/A,NOTE/K

    where...

        FROM    Is the name of an IFF ILBM picture to convert.

        TO      Is the name of the GIF picture you want created.

        NOTE    An optional comment to be added to the GIF file. This
                will cancel any ANNO chunk that may be in the IFF
                file, and the file will be written with a GIF89a
                signature.


    CREDITS

    TAPGIF is written by John Bickers using SAS C 6.51.

    GIF compression is performed by a modified version of the LZW code
    in Jef Poskanzer's PPMTOGIF program, which in turn is based on the
    LZW code in the Unix compress program.

    Christian A. Weber's iff.library is used for loading ILBM files.


    DISTRIBUTION

    TAPGIF is Copyright  1994 by John Bickers.

    This program is freely distributable.


    CONTACT INFO

    I can be reached at:

        John Bickers
        214 Rata St
        Naenae 6301
        New Zealand

    Or: jbickers@templar.actrix.gen.nz


    HISTORY

    20.09.94    1.0
